<?php
$title = "Путешествие";
include_once 'protected/sys.php';


$issetCampaign = $db->query("SELECT * FROM `campaign_battle` WHERE `user` = '".$u['id']."'");
if($issetCampaign->num_rows > 0)
{
    $iC = $issetCampaign->fetch_object();
    if($iC->status == 'found') redirect('/trip/found');
    elseif($iC->status == 'battle') redirect('/trip/battle');
}
if(isset($_GET['enter']))
{
    if($u['campaign_count'] <= 0) redirect('/trip', 'Вы истратили все походы');
    $mob_health = get_health($u['id'])+(rand(50,100)-100);
    $mob_attack = get_power($u['id'])-rand(15,50);
    $mob_block = get_block($u['id'])-rand(10,50);
    $db->query("UPDATE `users` SET `campaign_count` = `campaign_count` - '1' WHERE `id` = '".$u['id']."'");
    $db->query("INSERT INTO `campaign_battle` (`user`,`type`,`health`,`mob_health`,`mob_attack`,`mob_block`) VALUES ('".$u['id']."', '".rand(0,3)."', '".get_health($u['id'])."', '".$mob_health."', '".$mob_attack."', '".$mob_block."')");
    redirect('/trip/found');
}
echo '
<div class = "menu">
<div class="b"><center>На своём пути ты встретишь много опасных существ!</center></br>
<center><a href="?enter"><input type="submit" value="Отправиться в поход"></a></center></br>
<center><small>Осталось походов: '.$u['campaign_count'].'</small></center>
</div>';
echo '<div class="notice_container"><div class="gborder notice_alert alert-success">
        Убить монстра нужно максимум за 9 ударов и 5 минут</br>
        Чем выше у тебя параметры, тем больше награда
</div></div></div>';
include_once ($root.'/core/foot.php');
  
include 'protected/footermain.php';

?>